Skip to main content
PUT
/
2025-04
/
marketing-solutions
/
creatives
/
{id}
/2025-04/marketing-solutions/creatives/{id}
curl --request PUT \
  --url https://api.criteo.com/2025-04/marketing-solutions/creatives/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "id": "<string>",
    "type": "<string>"
  }
}
'
import requests

url = "https://api.criteo.com/2025-04/marketing-solutions/creatives/{id}"

payload = { "data": {
"id": "<string>",
"type": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: {id: '<string>', type: '<string>'}})
};

fetch('https://api.criteo.com/2025-04/marketing-solutions/creatives/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "attributes": {
      "advertiserId": "<string>",
      "author": "<string>",
      "name": "<string>",
      "status": "<string>",
      "adaptiveAttributes": {
        "callsToAction": [
          "<string>"
        ],
        "colors": {
          "backgroundColor": "<string>",
          "ctaBackgroundColor": "<string>",
          "ctaTextColor": "<string>",
          "logoAreaAndTitleColor": "<string>",
          "text1Color": "<string>",
          "text2Color": "<string>"
        },
        "descriptionFont": "<string>",
        "descriptionText": "<string>",
        "headlineFont": "<string>",
        "headlineText": "<string>",
        "landingPageUrl": "<string>",
        "layouts": [],
        "logos": [
          {
            "url": "<string>"
          }
        ],
        "imageSets": [
          {
            "images": [
              {
                "url": "<string>"
              }
            ],
            "headlineText": "<string>"
          }
        ],
        "videos": [
          {
            "duration": 123,
            "url": "<string>"
          }
        ]
      },
      "datasetId": "<string>",
      "description": "<string>",
      "dynamicAttributes": {
        "bodyTextColor": "<string>",
        "callsToAction": [
          "<string>"
        ],
        "creativeBackgroundColor": "<string>",
        "logos": [
          {
            "url": "<string>"
          }
        ],
        "pricesColor": "<string>",
        "primaryFont": "<string>"
      },
      "format": "<string>",
      "htmlTagAttributes": {
        "tags": [
          {
            "htmlTag": "<string>",
            "size": {
              "height": 123,
              "width": 123
            }
          }
        ]
      },
      "id": "<string>",
      "imageAttributes": {
        "landingPageUrl": "<string>",
        "urls": [
          "<string>"
        ]
      }
    },
    "id": "<string>",
    "type": "<string>"
  },
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string
required

The creative identifier to edit.

Body

application/json

A top-level object that encapsulates a Criteo API request for a single entity.

data
object

A class that represents a domain entity exposed by an API.

Response

200 - application/json

The edited creative is returned.

A top-level object that encapsulates a Criteo API response for a single entity.

data
object | null

A class that represents a domain entity exposed by an API.

errors
object[] | null
read-only
warnings
object[] | null
read-only